from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class LineJoint(IntEnum):
    NONE = auto()
    MIDDLE = auto()
    BEVEL = auto()
    MITER = auto()
    ROUND = auto()
